summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/check_source.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/check_source.sh b/tools/check_source.sh
new file mode 100755
index 0000000..a401418
--- /dev/null
+++ b/tools/check_source.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+
+set -euf
+
+
+script="$(realpath "$0")"
+tools="$(dirname "$script")"
+root="$(dirname "$tools")"
+
+
+black "$root"
+mypy --strict "$root"
+flake8 "$root"